summaryrefslogtreecommitdiffstats
path: root/source/a/attr/attr.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/attr/attr.SlackBuild
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/a/attr/attr.SlackBuild')
-rwxr-xr-xsource/a/attr/attr.SlackBuild26
1 files changed, 10 insertions, 16 deletions
diff --git a/source/a/attr/attr.SlackBuild b/source/a/attr/attr.SlackBuild
index 892961cff..dbd17da06 100755
--- a/source/a/attr/attr.SlackBuild
+++ b/source/a/attr/attr.SlackBuild
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=attr
-VERSION=2.4.46
+VERSION=2.4.47
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -58,13 +58,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Add DESTDIR support and improve docs install location:
-zcat $CWD/attr.destdir.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-
-# The 1/2 assed job has begun... the onus of running autoconf should never
-# be placed on packagers. They may not have the same autotools versions.
-autoconf
-
./configure \
--prefix=/ \
--exec-prefix=/ \
@@ -74,15 +67,15 @@ autoconf
--libexecdir=/usr/lib${LIBDIRSUFFIX} \
--includedir=/usr/include \
--mandir=/usr/man \
- --datadir=/usr/share
+ --datadir=/usr/share \
+ --docdir=/usr/doc/attr-$VERSION \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG
-make install-dev DESTDIR=$PKG
-make install-lib DESTDIR=$PKG
+make PKG_DOC_DIR=/usr/doc/attr-$VERSION || exit 1
+make install PKG_DOC_DIR=/usr/doc/attr-$VERSION DESTDIR=$PKG
+make install-dev PKG_DOC_DIR=/usr/doc/attr-$VERSION DESTDIR=$PKG
+make install-lib PKG_DOC_DIR=/usr/doc/attr-$VERSION DESTDIR=$PKG
-mv $PKG/usr/share/doc $PKG/usr
-( cd $PKG/usr/doc ; mv attr attr-$VERSION )
#It would be nice to keep the same timestamps that the files have in the source:
rm -rf $PKG/usr/doc/attr-$VERSION/ea-conv
cp -a \
@@ -96,7 +89,8 @@ strip -g $PKG/usr/lib${LIBDIRSUFFIX}/*.a
# Remove bogus files:
rm -f $PKG/lib${LIBDIRSUFFIX}/*.a $PKG/lib${LIBDIRSUFFIX}/libattr.so $PKG/lib${LIBDIRSUFFIX}/*.la $PKG/usr/lib${LIBDIRSUFFIX}/*.la
# Make /usr/lib${LIBDIRSUFFIX}/libattr.so a symlink to /lib${LIBDIRSUFFIX}:
-( cd $PKG/usr/lib${LIBDIRSUFFIX} ; rm -f libattr.so ; ln -sf /lib${LIBDIRSUFFIX}/libattr.so.1 libattr.so )
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+ln -sf /lib${LIBDIRSUFFIX}/libattr.so.1 $PKG/usr/lib${LIBDIRSUFFIX}/libattr.so
# Fix shared library perms:
chmod 755 $PKG/lib${LIBDIRSUFFIX}/*